<?php

namespace ahrefs\AhrefsSeo;

$locals = Ahrefs_Seo_View::get_template_variables();
$url    = add_query_arg(
	[
		'page'     => Ahrefs_Seo::SLUG_CONTENT,
		'tab'      => Ahrefs_Seo_Data_Content::STATUS4_ALL_ANALYZED,
		'keywords' => Ahrefs_Seo_Table_Content::FILTER_KEYWORDS_DUPLICATED,
	],
	admin_url( 'admin.php' )
) . '#view-table';
?>
<!-- duplicated keywords notice -->
<div class="ahrefs-content-tip" data-time="first" data-id="<?php echo esc_attr( $locals['tip_id'] ); ?>">
	<div class="caption">
	<?php
	esc_html_e( 'Duplicate keywords found', 'ahrefs-seo' );
	?>
	</div>
	<div class="text">
	<?php
	esc_html_e( 'You have articles with duplicate keywords, which might indicate keyword cannibalization issues. We recommend checking them out.', 'ahrefs-seo' );
	?>
	</div>
	<div class="buttons">
		<a class="button button-primary content_tip_show_duplicated" href="<?php echo esc_attr( $url ); ?>">
																					  <?php
																						esc_html_e( 'View keyword duplicates', 'ahrefs-seo' );
																						?>
		</a>
		<a class="link" href="https://ahrefs.com/blog/keyword-cannibalization/" target="_blank">
		<?php
		esc_html_e( 'How to fix keyword cannibalization', 'ahrefs-seo' );
		?>
		 <span class="arrow-right">→</span></a>
	</div>
	<button type="button" class="notice-dismiss sugggested-tip-close-button"><span class="screen-reader-text">
	<?php
	esc_html_e( 'Dismiss this notice.', 'ahrefs-seo' );
	?>
	</span></button>
</div>
<?php
