<?php

namespace ahrefs\AhrefsSeo;

$locals           = Ahrefs_Seo_View::get_template_variables();
$google_connected = Ahrefs_Seo_Analytics::get()->get_data_tokens()->is_token_set();
$tokens_string    = $google_connected ? ( new Data_Tokens_Storage() )->get_config() : __( 'Google account is not connected.', 'ahrefs-seo' );
?>
<hr class="shadow block-content">
<div class="input-wrap block-content">
	<a href="#" class="show-my-google-config show-collapsed block-subtitle">
	<?php
	esc_html_e( 'Share my Google configuration', 'ahrefs-seo' );
	?>
	</a>
	<div class="collapsed-wrap">
		<div class="block-text block-content">
		<?php
		echo sprintf(
		/* translators: %s: text "our support team" with link */
			esc_html__( 'The string below contains information about your Google account tokens and currently selected GA and GSC profiles. If you run into issues when connecting Google accounts, %s might ask you to share this string in order to investigate.', 'ahrefs-seo' ),
			sprintf( '<a href="%s">%s</a>', esc_attr( Ahrefs_Seo::get_support_url( true ) ), esc_html__( 'our support team', 'ahrefs-seo' ) )
		);
		?>
		</div>
		<div class="google-config-wrap">
			<textarea readonly="readonly" id="google_config_input"
			<?php
			if ( ! $google_connected ) {
				?>
	 class="short-textarea"
				<?php
			}
			?>
			>
<?php
echo esc_textarea( $tokens_string );
?></textarea><?php // phpcs:ignore Squiz.PHP.EmbeddedPhp.ContentAfterEnd,Squiz.PHP.EmbeddedPhp.ContentBeforeOpen,Squiz.PHP.EmbeddedPhp.ContentAfterOpen
if ( $google_connected ) {
	?>
				<a href="#" class="button button-large copy-clipboard-button block-content" id="google_config_button">
				<?php
				esc_html_e( 'Copy to clipboard', 'ahrefs-seo' );
				?>
	</a>
					<?php
}
?>
		</div>
	</div>
</div>
<?php
