<?php
declare(strict_types=1);
namespace ahrefs\AhrefsSeo;

$locals = Ahrefs_Seo_View::get_template_variables();
if ( isset( $locals['position'] ) ) {
	$pos = ! is_null( $locals['position'] ) ? floatval( $locals['position'] ) : Ahrefs_Seo_Data_Content::POSITION_MAX;
	if ( $pos <= 3 ) {
		?><div class="position-good"><span></span><?php esc_html_e( 'Position in top 3', 'ahrefs-seo' ); ?></div>
		<?php
	} elseif ( $pos <= 20 ) {
		?>
		<div class="position-bad"><span></span><?php esc_html_e( 'Position below top 3', 'ahrefs-seo' ); ?></div>
		<?php
	} else {
		?>
		<div class="position-bad"><span></span><?php esc_html_e( 'Position below top 20', 'ahrefs-seo' ); ?></div>
		<?php
	}
}

if ( isset( $locals['unique-keyword'] ) ) {
	if ( $locals['unique-keyword'] ) {
		?>
		<div class="position-good"><span></span><?php esc_html_e( 'Topic is unique', 'ahrefs-seo' ); ?></div>
		<?php
	} else {
		?>
		<div class="position-bad"><span></span><?php esc_html_e( 'Topic is not unique', 'ahrefs-seo' ); ?></div>
		<?php
	}
}

if ( isset( $locals['backlinks'] ) ) {
	if ( (int) $locals['backlinks'] > 0 ) {
		?>
		<div class="position-good"><span></span>
		<?php
			/* translators: %d: number of backlinks */
			echo esc_html( sprintf( _n( '%d backlink was obtained', '%d backlinks were obtained', (int) $locals['backlinks'], 'ahrefs-seo' ), $locals['backlinks'] ) );
		?>
		</div>
		<?php
	} else {
		?>
		<div class="position-bad"><span></span><?php esc_html_e( 'No backlinks', 'ahrefs-seo' ); ?></div>
		<?php
	}
}

if ( isset( $locals['decent-traffic'] ) ) {
	?>
	<div class="position-good"><span></span><?php esc_html_e( 'Decent non-organic traffic', 'ahrefs-seo' ); ?></div>
	<?php
}



